% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/sjStatistics.R
\name{pseudo_r2}
\alias{pseudo_r2}
\title{Compute Nagelkerke's and Cox-Snell's Pseudo R-squared}
\usage{
pseudo_r2(x)
}
\arguments{
\item{x}{a fitted \code{\link{glm}}.}
}
\value{
An object of class \code{pseudo_r2} with
          following values:
          \itemize{
           \item \code{CoxSnell} Cox-Snell's pseudo-r-squared-value
           \item \code{Nagelkerke} Nagelkerke's pseudo-r-squared-value
          }
}
\description{
This method calculates Nagelkerke's and Cox-Snell's
               pseudo-r-squared-values of \code{\link{glm}}s for
               binary data.
}
\examples{
data(efc)

# Pseudo-R-squared values
efc$services <- dicho(efc$tot_sc_e, "v", 0, asNum = TRUE)
fit <- glm(services ~ neg_c_7 + c161sex + e42dep,
           data = efc,
           family = binomial(link = "logit"))
pseudo_r2(fit)
}
\seealso{
\code{\link{cod}}
}

